function Create(self)
	self.Velocity = 90; --the bullet's velocity, the ini defined one should be very low
	self.ExplosiveName = "Assault Cannon Charge"; --the name of the AEmitter used for the explosion effect
	self.acc = 0.25; --the relative acceleration of the bolt per second
   
	self.Vel = self.Vel.Normalized*self.Velocity;      
	
	self.inaccuracy = 0 -- raise to reduce lag but decrease detection quality
	self.InitialSharpness = self.Sharpness --store original sharpness value
	self.TerrainModifier = 0.05 -- multiply the original sharpness by this for terrain penetration
	self.ObjectModifier = 1 --multiply the original sharpness by this for object penetration
end

function Update(self)
	local terrcheck = Vector(0,0);
	if SceneMan:CastMORay(self.Pos,(self.Vel / 3),0,0,0,true, self.inaccuracy) == 255 then
		self.Sharpness = self.InitialSharpness * self.TerrainModifier
	else
		self.Sharpness = self.InitialSharpness * self.ObjectModifier
	end

	self.Vel = self.Vel.Normalized*(self.Vel.Magnitude*(1+(self.acc*TimerMan.DeltaTimeSecs)));
	local ray = SceneMan:CastMORay(self.Pos , self.Vel*TimerMan.DeltaTimeSecs*FrameMan.PPM , self.ID , self.Team, 0, false , 0);
	if ray ~= 255 or self.Vel.Magnitude < 6 or self.ToDelete == true then
			local ray2 = SceneMan:CastObstacleRay(self.Pos , self.Vel, Vector() , Vector() , 255 , 0 , 0 , 0);
		local lr = CreateAEmitter(self.ExplosiveName);
 			lr.Pos = self.Pos+(self.Vel.Normalized*(ray2+6));
			lr.Vel = self.Vel*0.175;
			lr.Team = self.Team;
			lr.IgnoresTeamHits = true;
			MovableMan:AddMO(lr);
		self.ToDelete = true;
	end
end